aboutsummaryrefslogtreecommitdiff
path: root/test/common-utils/alternate-values.sh
diff options
context:
space:
mode:
authorChuck Lantz <clantz@microsoft.com>2022-12-16 20:47:21 +0300
committerGitHub <noreply@github.com>2022-12-16 20:47:21 +0300
commitbf058dc49492b3a102a28ed25764a517fcebfb40 (patch)
tree6ccc831064fab57ea6fa2f0c530202ac0d73ff08 /test/common-utils/alternate-values.sh
parent7fa90110d762797cc0b1c2fe8fcc028c9b813d56 (diff)
Multi-distro support for common script, refactor, fixes (#326)
Diffstat (limited to 'test/common-utils/alternate-values.sh')
-rwxr-xr-xtest/common-utils/alternate-values.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/test/common-utils/alternate-values.sh b/test/common-utils/alternate-values.sh
new file mode 100755
index 0000000..d208a27
--- /dev/null
+++ b/test/common-utils/alternate-values.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "non-root user" id alternate
+check "running as root" test "$(whoami)" = "root"
+check "jq" jq --version
+check "curl" curl --version
+check "git" git --version
+check "ps" ps --version
+check "no zsh" bash -c '! zsh --version'
+check "No Oh My Zsh!" test ! -e /home/alternate/.oh-my-zsh/custom/themes/devcontainers.zsh-theme
+
+# Report result
+reportResults \ No newline at end of file